## visad
Interface Cell

All Superinterfaces:
  Action, EventListener, ThingChangedListener

All Known Subinterfaces:
  RemoteCell

All Known Implementing Classes:
  CellImpl, RemoteCellImpl

public interface Cell
extends Action

Cell is the VisAD interface for computations. It has a set of 'triggering' DataReferences and access to a set of non-triggering DataReferences.

Method Summary
`DataReference` `getOtherReference(int index)`
`void` `setOtherReference(int index, DataReference ref)` set a non-triggering link to a DataReference; this is used to give the Cell access to Data without triggering the Cell's doAction whenever the Data changes; these 'other' DataReferences are identified by their integer index

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Method Detail

### setOtherReference

    public void setOtherReference(int index,
                                  DataReference ref)
                           throws VisADException,
                                  RemoteException

  set a non-triggering link to a DataReference; this is used to give the Cell access to Data without triggering the Cell's doAction whenever the Data changes; these 'other' DataReferences are identified by their integer index

  Parameters:
    `index` - - identifier of DataReference
    `ref` - - DataReference to be linked
  Throws:
    `VisADException` - - a VisAD error occurred
    `RemoteException` - - an RMI error occurred

### getOtherReference

    public DataReference getOtherReference(int index)
                                    throws VisADException,
                                           RemoteException

  Parameters:
    `index` - - identifier of DataReference to return
  Returns:
    the non-triggering link to a DataReference identified by index
  Throws:
    `VisADException` - - a VisAD error occurred
    `RemoteException` - - an RMI error occurred